%define gimpplugindir %(gimptool --gimpplugindir)/plug-ins
%define gimpscriptdir %(gimptool --gimpdatadir)/scripts

Summary: Gimp plug-in for texture synthesis
Name: gimp-resynthesizer
Version: 0.16
Release: 1%{?dist}
Group: Applications/Multimedia
License: GPLv2+
Requires: gimp
BuildRequires: gimp, gimp-devel
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
URL: http://logarithmic.net/pfh/resynthesizer
Source: http://logarithmic.net/pfh-files/resynthesizer/resynthesizer-%{version}.tar.gz
Patch: gimp-resynthesizer-makefile.patch

%description
Resynthesizer is a Gimp plug-in for texture synthesis. Given a sample of a 
texture, it can create more of that texture. This has uses including: 
- Creating more of a texture (including creation of tileable textures)
- Removing objects from images (great for touching up photos)
- Creating themed images (by transfering a texture from one image to another)

%prep
%setup -q -n resynthesizer-%{version}

%patch

%build
%__make  %{?_smp_mflags} CFLAGS="%{optflags}"

%install
%__rm -rf %{buildroot}
%__install -p -d %{buildroot}/%{gimpplugindir}
%__install -p -d %{buildroot}/%{gimpscriptdir}
%__install -p resynth %{buildroot}/%{gimpplugindir}/
%__install -p -m 644 smart-remove.scm %{buildroot}/%{gimpscriptdir}
%__install -p -m 644 smart-enlarge.scm %{buildroot}/%{gimpscriptdir}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYING
%{gimpplugindir}/resynth
%{gimpscriptdir}/smart-remove.scm
%{gimpscriptdir}/smart-enlarge.scm

%changelog
* Sun Aug 02 2009 Ewan Mac Mahon <ewan@macmahon.me.uk> - 0.16-1
- Bump to version 0.16
- Patch makefile to allow Fedora CFLAGS to override defaults.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.15-3
- Autorebuild for GCC 4.3

*Sun Aug 19 2007 Ewan Mac Mahon <ewan@macmahon.me.uk> - 0.15-2
Fixed review problems: Spurious comment, License tag, variable style 
build root, ignoring opt flags.
* Mon Jul 30 2007 Ewan Mac Mahon <ewan@macmahon.me.uk> - 0.15-1
Initial Fedora package
